@font-face {
    font-family: 'Romain';
    src: url(polices/EcritureA-Romain.otf)
  }

html, body {
    padding: 0;
    margin: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}


body {
    background: linear-gradient(to bottom, #9bbbff, #ffffff); /* Dégradé du bleu clair vers le blanc */
    display: flex;
    flex-direction: column;
    height: 100vh; /* Prend toute la hauteur de la fenêtre */
    margin: 0; /* Enlève les marges par défaut du body */
}

body.prof {
    background: #ffffff;
}

#accueil {
    display: none;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
    border: none;
    padding: 0px;
    z-index: 100;
    background-color: #75f7f2; 
}

.accueil #accueil {
    display: block;
}

.page-accueil {
    display: none;
    position: absolute;
    width: calc(100% - 15px);
    height: calc(100% - 15px);
    background-color: #1b9bc2;
    top: 0px;
    left: 0%;
    border: none;
    padding: 15px;
    overflow: scroll;
    z-index: 101;
    text-align: center;
}

.prof .page-accueil {
    background: #ffffff;
}


.eleve .page-accueil {
    background: linear-gradient(to bottom, #9bbbff, #ffffff); /* Dégradé du bleu clair vers le blanc */
}

#accueil-general {
    align-items: center;
    justify-content: center; 
}

#accueil-general h1 {
    font-size: 80px;
    font-family: Romain;
    margin-top: 0px;
    margin-bottom: 0px;
    text-align: center;
}


.accueil-general #accueil-general {display: flex;}
.accueil-prof #accueil-prof {display: block;}
.accueil-eleve #accueil-eleve {display: block;}

.page-accueil .zone-nav {
    height: fit-content;
    text-align: left;
    margin-left: 10px;

}

.page-accueil .nav {
    display: inline-block;
    padding: 25px;
    margin-top: 0px;
    background-color: #dfebff;
    border: 3px solid #000000;
    border-radius: 20px;
    user-select: none;
}

.page-accueil .nav:hover {
    background-color: yellow;
}


.cadre {
    display: inline-block;
    border: 3px solid #000000;
    border-radius: 15px;
    margin: 15px;
    padding: 15px;
    width: 400px;
    background-color: #4ec0e2;
    text-align: left;
}

.cadre p {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    padding-left: 40px;
    list-style-position: outside;    
}

.cadre:hover {
    background-color: #91cddf;
    cursor: pointer;
}

.cadre img {
    width: 70%;
    margin: auto;
    display: inline-block;
    border-radius: 15px;
}

.reglage-accueil {
    display: inline-block;
    border: 3px solid #000000;
    border-radius: 15px;
    margin: 10px;
    height: 350px;
    padding: 10px;
    font-size: 16px;
    background-color: #4ec0e2;
    text-align: center;
    vertical-align: top;
}

.reglage-accueil:last-child {text-align: left;}

.reglage-accueil h2 {
    margin: 10px auto;
}
.reglage-accueil h3 {
    text-align: left;
}

.reglage-accueil input[type=number] {
    font-size: 36px;
    width: 2em;
    text-align: center;
}

.formulaire-accueil-radio {
    text-align: left;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 16px;
}

.boutons-access-direct {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* 3 colonnes de largeur égale */
    gap: 10px; /* Espacement entre les boutons */
    justify-items: center; /* Centrer les boutons */
}

.bouton-acces-direct {
    font-size: 24px;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    padding: 5px;
    border-radius: 10px;
    width: 5.5em;
    text-align: center;
    box-sizing: border-box;
}



.case-log {
    display: inline-block;
    border: 2px solid #000000;
    background-color: #ffffff;
    padding: 5px;
    margin: 5px;
    width: 6.6em;
    user-select: none;
    border-radius: 10px;
}

.bouton-commencer {
    margin-top: 10px;
    font-size: 24px;
    height: 3em;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    padding: 5px;
    width: 250px;
    border-radius: 10px;
    text-align: center;
    box-sizing: border-box; 
}

.formulaire-pas {
    margin: 10px 0px;
}

.formulaire-pas input {
    display: inline-block;
}

.formulaire-pas label {
    font-size: 24px;
}

.decimale {
    background-color: orange;
}

.entier {
    background-color: #4ff11d;
}

.grand {
    background-color: #e6c929;
}

#haut {
    height: 80px;
    background-color: #2c3e50; /* Couleur de fond sombre et moderne */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* Légère ombre portée */
    display: flex;
    align-items: center;
    justify-content: center;
    user-select: none;

}

#titre {
    font-family: Romain;
    font-size: 64px;
    color: #ffffff;
    font-weight: bold;
    cursor: pointer;

}

#logo {
    height: 70px;
    margin-right: 10px;
    cursor: pointer;
}

#zone-boutons {
    display: flex;
    align-items: center;
    justify-content:space-around;
}

#bas {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 80px;
    background-color: #2c3e50; /* Couleur de fond sombre et moderne */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* Légère ombre portée */
    position: relative;
}

#milieu {
    flex: 1; /* Prend l'espace restant entre le haut et le bas */
    font-family: Arial, Helvetica, sans-serif;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    max-height: calc(100% - 270px);
    padding-bottom: 100px;
    padding-top: 10px;
    position: relative;
    overflow: hidden;
}

.prof #milieu {
    align-items: center;
}

#consigne {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 36px;
    margin: 0px 20px 0px 20px;
    width: calc(100% - 160px);
    padding: 20px;
    background-color: #ffffffa3;
    border-radius: 25px;
    border: 10px solid #ffffff;
    position: relative;
    z-index: 9;
    transition: all 0.5s linear;
    z-index: 12;
    visibility: hidden;
}

#consigne.pliee {
    height: 25px;
    overflow-y: auto;
    font-size: 20px;
    padding: 0px 20px 0px 20px;
}

#replier-consigne {    
    position: absolute;
    top: 10px;
    right: 5px;
    height: 40px;
    width: 40px;
    border: 2px solid #000000;
    background-color: #ffffff;
    background-image: url(images/fleche.svg);
    background-size: 80%;
    background-position: center;
    background-repeat: no-repeat;
    outline: none;
    border-radius: 50%;
    z-index: 10;
    visibility: hidden;
}

#replier-consigne.pliee {
    transform: rotate(180deg);
}

.eleve #replier-consigne {
    visibility: visible;
}

.eleve #consigne {
    visibility: visible;
}

#droite {
    height: 10px;
    width: calc(100% - 40px);
    background-color: #000000;
    position: relative;
    z-index: 10;
}

.graduation {
    background-color: #000000;
    transform: translateX(-50%);
    position: absolute;
    bottom: 10px;
    z-index: 9;
}

.etiquette {
    position: absolute;
    bottom: -90px;
    left: 50%;
    padding: 10px;
    background-color: #75f7f2;
    border: 1px black solid;
    min-width: 50px;
    min-height: 50px;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 60px;
    border-radius: 50%;
    font-family: Romain;
    font-weight: bold;
    z-index: 5;
    line-height: 50px;
    z-index: 8;    
}

.etiquette.question {
    bottom: 50px;
    text-align: center;
    background-color: #ffffff;
    display: block;    
}

.prof .etiquette.question {
    user-select: none;
}

.repere {
    display: none;
    position: absolute;
    bottom: 19px;
    left: 50%;
    min-width: 25px;
    transform: translateX(-50%);
    align-items: center;
    justify-content: center;
    font-size: 25px;
    border-radius: 20%;
    font-family: Arial, Helvetica, sans-serif;
    z-index: 5;
    z-index: 8;
    background-color: #ffffff;
    border: 1px #000000 solid;  
}

.prof .repere {display: flex;}

.faux {
    background-color: #f54b4b !important;
}

.juste {
    background-color: #4ff11d !important;
}

.demi {
    background-color: #f1ff76 !important; 
}

.corrige {
    background-color: #1b9bc2 !important; 
}



.stat {
    border: 1px solid #000000;
    border-radius: 5px;
    padding: 5px;
    margin: 5px;
    font-size: 24px;
    font-family: Arial, Helvetica, sans-serif;
    color: #000000;
    display: inline-block;
}

.gomme {
    position: absolute;
    top: -40px;
    left: 50%;
    transform: translateX(-50%);
    height: 30px;
    width: 30px;
    background-image: url(images/gomme.svg);
    background-size: contain;
    background-repeat: no-repeat;   
}

div[contenteditable="true"]:empty:before {
    content: "\00a0"; 
    display: inline-block;
    width: 100%;
    text-align: center;
}

.connecteur {
    position: absolute;          /* Position absolue pour positionner par rapport au parent */
    width: 0px;                 /* Largeur du connecteur */
    border-left: 2px dashed rgb(135, 135, 135); /* Ligne en pointillés */
    border-right: 2px dashed rgb(135, 135, 135); /* Ligne en pointillés */

    left: 50%;                  /* Centré par rapport à la zone de texte */
    transform: translateX(-50%); /* Centre le connecteur sur la nouvelle zone de texte */
    bottom: 50px;
    z-index: 7;
}


.niveau1 {
    width: 6px;
    height: 80px;
    background-color: red;
}

.niveau2 {
    width: 4px;
    height: 50px;
}

.multiple5 {
    background-color: blue;
}

.niveau3 {
    width: 1px;
    height: 25px;
}

.cartouche {
    padding-left: 20px;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: left;
}


.bouton-reussite {
    height: 50px;
    width: 85px;
    border-radius: 50%;
    border: 1px #000000 solid;
    margin-left: 10px;
    margin-right: 10px;
}

.bouton-haut {
    height: 50px;
    width: 50px;
    border: 3px #000000 solid;
    margin-left: 10px;
    margin-right: 10px;
    background-size: contain;
    background-color: transparent;
    outline: none;
}

.bouton-bas {
    display: none;
    font-size: 36px;
    margin-left: 20px;
    margin-right: 20px;
    padding: 5px 10px;
    border-radius: 10px;
    transition: all 0.5s ease;
}

.eleve .bouton-bas, .prof .bouton-bas {
    display: inline-block !important;
}



#bouton-valider {
    background-color: #4ff11d;
}

.prof #bouton-valider {
    display: none !important;
}

.eleve #bouton-reponses {
    display: none !important;
}

#bouton-valider:disabled {
    background-color: #808080;
}

.bouton-bas.warning {
    background-color: #4ff11d;
    animation: clignotement 3s ease-in-out infinite; /* Durée prolongée à 3 secondes pour encore plus de douceur */
}

/* Définition de l'animation */
@keyframes clignotement {
    0% {
        box-shadow: 0 0 3px rgba(255, 255, 0, 0.7); /* Moins intense avec un peu de transparence */
    }
    50% {
        box-shadow: 0 0 8px rgba(255, 255, 0, 0.7); /* Box-shadow plus étroit */
    }
    100% {
        box-shadow: 0 0 3px rgba(255, 255, 0, 0.7);
    }
}




#fin {
    position: absolute;
    top: 0px;
    left: 0px;
    height: 100%;
    width: 100%;
    background-color: #000000;
    color: #ffffff;
    font-size: 64px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 10;
}

#fin button {
    font-size: 48px;
    margin: 15px;
}




#boxliste {
    z-index: 10;
    position: absolute;
    top: 0px;
    left: 0px;
    height: 100%;
    width: 100%;
    background: linear-gradient(135deg, #87c5ff 25%, #dfebff 75%);
    text-align: center;
    justify-content: center;
    display: flex;
    flex-direction: column;

}

#zone-listes {
    flex: 1;
}

.zone-liste {
    display: inline-block;
    font-size: 16px;
    font-family: Arial, Helvetica, sans-serif;
    width: calc(50% - 30px);
    height: 100%;
    margin: 10px 5px;
    
}

.input-liste {
    display: inline-block;
    font-size: 16px;
    font-family: Arial, Helvetica, sans-serif;
    width: calc(100% - 30px);
    border: 2px #000000 outset;
    height: calc(100% - 100px);
    margin: 10px 5px;
    overflow-y: auto;
    resize: none;
}

#boxliste button {
    font-size: 36px;
    margin: 20px auto;
    width: fit-content;
}



.hide {
    display: none !important;
}

#educajou {
    height: 70px;
    width: 70px;
    margin: 5px;
    position: absolute;
    top: 2px;
    left: 2px;
    z-index: 1000;
}

.primtux #educajou {display: none;}

#reglages {
    width: fit-content;
    margin: auto;
}

#bouton-retour {
    width: fit-content;
}

.form-group {
    display: flex;
    align-items: center;
}
.form-group label {
    margin-right: 10px; /* Espace entre le label et l'input */
}

.minuscules {
    text-transform: none;
}

.majuscules {
    text-transform: uppercase;
}

.cursive {
    font-family: Aacursive;
}

.dyslexic {
    font-family: Opendyslexic;
}

#menu {
    position: absolute;
    bottom: 0px;
    width: 389px;
    max-height: calc(100% - 10px);
    max-width: calc(100% - 10px);
    padding: 5px 5px 5px 5px;
    background: #ffffffe5;
    border: none;
    z-index: 1000;
    border-radius: 0px 15px 0px 0px;
    transition: left 0.2s linear;
    color: #fff;
    font-size: 24px;
    font-family: Arial, Helvetica, sans-serif;
}

#menu p {
    margin: 0px 0px 10px 0px;
    font-weight: bold;

}

#stats {
    position: absolute;
    overflow-y: hidden;
    bottom: 0px;
    width: 389px;
    max-width: calc(100% - 10px);
    padding: 5px 5px 5px 5px;
    height: calc(100% - 10px);
    background: #041832ec;
    border: none;
    z-index: 1000;
    border-radius: 15px 0px 0px 0px;
    transition: right 0.2s linear;
    color: #fff;
    font-size: 24px;
    font-family: Arial, Helvetica, sans-serif;
}

#stats p {
    margin: 0px 0px 10px 0px;
    font-weight: bold;

}

.section {
    border-top: 1px solid #fff;
}

.section:first-of-type {
    border-top: none;
}

#reussite {
    text-align: center;
}

#resultats {
    padding-top: 15px;
    height: calc(100% - 170px);
    overflow-y: scroll;
    text-align: left;
    border-bottom: 1px solid #fff;
}

.titre {
    padding: 5px 0px 5px 0px;
}

#titre-options, #titre-stats {
    height: 60px;
    margin: 0;
    font-size: 36px;
    line-height: 52px;
}


#bouton-ferme-menu {
    position: absolute;
    bottom: 10px;
    right: 10px;
    font-size: 24px;    
}

#stats-bas {
    display: flex;
    align-items: center;
    justify-content: center;
}

#bouton-effacer-stats {
    font-size: 24px;
    margin: 5px;
    vertical-align: middle;
}

.bouton {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 24px;
}

.bouton-haut {
    width: 50px;
    height: 50px;
    background-repeat: no-repeat;
    background-position: center;
    padding: 5px;
    border-radius: 5px;
    background-color: rgb(214, 207, 207);
    background-size: 90%;
    border-radius: 5px;
    margin-left: 5px;
    margin-right: 5px;
}

#bouton-menu {
    background-image: url(images/menu.svg);
    position: absolute;
    bottom: 15px;
    left: 10px;
    z-index: 100000;    
}

#bouton-stats {
    display: none;
    background-image: url(images/stats.svg);
    position: absolute;
    bottom: 15px;
    right: 10px;
    z-index: 100000;
}

.eleve #bouton-stats {
    display: block;
}

.eleve #bouton-reponses {
    display: none;
}

#menu button {
    margin-top: 15px;
    margin-bottom: 10px;
    font-size: 24px;
    font-family: Arial, Helvetica, sans-serif;
    padding-left: 40px;
    background-size: 30px;
    background-position: left;
    background-repeat: no-repeat;
    background-color: transparent;
    border: none;
    outline: none;
}

form {
    margin-bottom: 10px;
}


#darkbox {
    /* Elle doit prendre toute la largeur et toute la hauteyr  */
      position: fixed;
      z-index: 999; /* O la place sous la lightbox */
      width: 100%;
      height: 100%;
      top: 0px;
      left: 0px;
      background-color: rgba(0,0,0,0.5);
    }
    
    .lightbox {
      position: fixed;
      z-index: 1000; /* O la place sur la lightbox */
      display: flex;
      flex-direction: column;
      max-width: 60%;
      height: 60%;
      top: 50%;
      left: 50%;
      padding: 10px; /* Marge intérieure */
      border-radius: 20px; /* Coins arrondis */
      box-shadow: 0px 0px 15px #ffffff; /* Ombre transparente blanche */
      border: 2px solid #000000; /* Bordure de 2px noire */
      transform: translateX(-50%) translateY(-50%); /* Pour centrer dans la page */
      background-color: #ffffff; /* Couleur de fond */
    
    }
    
    .lightbox h1 { /* Le titre */
      font-family: Arial, Helvetica, sans-serif;
      font-size: 36px;
      min-height: 36px;
      margin: 10px;
    }
    
    .contenu-lightbox {
      flex: 1;
      font-size: 16px;
      font-family: Arial, Helvetica, sans-serif;
      overflow-y: auto;
      text-align: left;
      width: fit-content;
      margin: auto;
    }
    
    .bouton-fermer {
      position : fixed;
      top: 10px;
      right: 10px;
      width: 30px;
      height: 30px;
      background-image: url(images/bouton_fermer.svg);
      background-size: contain;
      background-color: transparent;
      border: none;
      outline: none;
    }

    @media screen and (max-height: 465px) {
        /* Tes règles CSS ici */
        #haut {
            display: none;
        }

        #milieu {
            max-height: calc(100% - 175px);
            padding-bottom: 85px;
        }

        
      }



    .accueil #boutons-milieu-bas {
        display: none !important;
    }